Subject: Nits abut the italian translation (was: Re: Please pull git-l10n updates on master branch)

From: Stefano Lattarini <[email-masked]>
Date: Fri, 01 Jun 2012 13:33:33 +0200

On 06/01/2012 12:20 PM, Jiang Xin wrote:
> Hi Junio,
> 
> As usual, this pull is for master branch. In this pull, both 'it.po'
> and 'zh_CN.po'
> have fuzzy translations. One translation in 'zh_CN.po' intends to be fuzzy,
> because it is hard to translate right, and I sent a patch for this yesterday.
>
> Marco Paolone (1):
>       l10n: New it.po file with 504 translations
>
I see few minor issues with the new translations; I hope it's OK if I report
them here.  Do not consider the following as an exhaustive list, since I've
just skimmed the it.po file.  And sorry for the messy and out-of-order report,
but I'm short of time in these days.

Regards,
  Stefano

~~~

  #: diff.c:1421
  #, c-format
  msgid ", %d insertion(+)"
  msgid_plural ", %d insertions(+)"
  msgstr[0] ", %d aggiunta(+)"
  msgstr[1] ", %d aggiunte(+)<"

Spurious "<" here?

~~~

  #: help.c:214
  msgid "git commands available from elsewhere on your $PATH"
  msgstr "i comandi git sono disponibili in un altro percorso nel tuo $PATH"

Given the context this message is use in (output of "git help -a"), I think a
more correct translation would be:

  comandi git disponibili altrove nel tuo $PATH

~~~

  #: sequencer.c:403
  #, c-format, fuzzy
  msgid "Cannot get commit message for %s"
  msgstr "Non è possibile prelevare il messaggio di commit per %s"

What about "Impossibile ottenere il messaggio di commit per %s" instead?
"Prelevare" sounds weird in this context, at least to me ...

~~~

"branch" is sometimes translated, sometimes not:

  #: wt-status.c:744
  msgid "Not currently on any branch."
  msgstr "Al momento non si è su alcun ramo."

  #: sha1_name.c:869
  #, c-format
  msgid "No upstream configured for branch '%s'"
  msgstr "Nessun upstream configurato per il branch '%s'"

BTW, are we sure it's a good idea to translate technical terms like
'branch'?  And if yes, why translate some terms (branch -> albero),
but not others (tag -> etichetta)?

~~~

  #. TRANSLATORS: Make sure to include [Y] and [n] in your
  #. translation. The program will only accept English input
  #. at this point.
  #: git-bisect.sh:279
  msgid "Are you sure [Y/n]? "
  msgstr "Si è sicuri? [S/n] "

The translation "[S/n]" seems to contradict the comment above.

  #. TRANSLATORS: Make sure to include [y], [n], [e], [v] and [a]
  #. in your translation. The program will only accept English
  #. input at this point.
  #: git-am.sh:766
  #, fuzzy
  msgid "Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all "
  msgstr "Applicare? [s]ì/[n]o/[m]odifica/[v]isualizza/mostra [p]atch/[a]ccetta tutto "

Likewise, but worse.

~~~

  #: common-cmds.h:28
  #, fuzzy
  msgid "Create, list, delete or verify a tag object signed with GPG"
  msgstr "Crea, elenca. elimina o verifica un oggetto tag firmato con GPG"

Minor typo: should be "elenca," not "elenca.".

~~~

  #: builtin/tag.c:376
  #, c-format, fuzzy
  msgid "The tag message has been left in %s\n"
  msgstr "Il messaggio tag è stato lasciato in %s\n"

"Il messaggio del tag" or "Il messaggio associato al tag" seems clearer and more
correct.

~~~

  #: builtin/reset.c:325
  #, c-format, fuzzy
  msgid "%s reset is not allowed in a bare repository"
  msgstr "%s reset non è consentito in un archivio scoperto #FIXME: bare"

What about translating "bare" with "spoglio"?

~~~

  #: builtin/mv.c:171
  msgid "not under version control"
  msgstr "non si trova nel sistema di controllo versione"

What about "non e' sotto controllo di versione"?  It seems a slightly more
faithful translation to me.

~~~

  #: builtin/merge.c:1146 builtin/merge.c:1303
  #, c-format, fuzzy
  msgid "%s - not something we can merge"
  msgstr "%s - non è qualcosa per cui effettuare il merge"

I'd say: "non è qualcosa per cui possiamo effettuare il merge"

~~~

  #: builtin/help.c:108
  #, c-format
  msgid "emacsclient version '%d' too old (< 22)."
  msgstr "la versione '%d' di emacsclient è vecchia (<22)."

s/vecchia/troppo vecchia/?

~~~

  #: builtin/commit.c:1588
  msgid ""
  "Repository has been updated, but unable to write\n"
  "new_index file. Check that disk is not full or quota is\n"
  "not exceeded, and then \"git reset HEAD\" to recover."
  msgstr ""
  "L'archivio è stato aggiornato, ma non è stato possibile scrivere il file\n"
  "new_index. Verificare che l'unità disco non sia piena o che la quota non sia\n"
  "stata superata, ed eseguire \"git reset HEAD\"ccc per il ripristino."

What is that "ccc" after "HEAD" for?

~~~

  #: builtin/add.c:297
  msgid "Empty patch. Aborted."
  msgstr "Patch vuota. Operazione terminata."

I beliave "bloccata" (or even "abortita") would be clearer than "terminata" in
this context?